Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.cache
Class CircularCache

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.cache.CircularCache

All Implemented Interfaces:
  Cache

public class CircularCache
extends java.lang.Object
implements Cache

CircularCache
Implémentation d'un cache sous la forme d'un buffer circulaire de taille fixe
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`CircularCache(int size)` Constructeur

Method Summary
`java.lang.Object` | `get(java.lang.Object key)` Récupération d'un objet du cache
`void` | `put(java.lang.Object key, java.lang.Object value)` Mise en cache d'un objet
`void` | `remove(java.lang.Object key)` Suppression d'un objet du cache

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CircularCache

    public CircularCache(int size)

  Constructeur

Parameters:
  `size` - La taille du buffer circulaire

Method Detail

### put

    public void put(java.lang.Object key,
                    java.lang.Object value)

  Mise en cache d'un objet

  Specified by:
    `put` in interface `Cache`
  Parameters:
    `key` - Clé du cache
    `value` - Valeur mise en cache

### get

    public java.lang.Object get(java.lang.Object key)

  Récupération d'un objet du cache

  Specified by:
    `get` in interface `Cache`
  Parameters:
    `key` - Clé du cache
  Returns:
    Valeur mise en cache si trouvée, null sinon

### remove

    public void remove(java.lang.Object key)

  Suppression d'un objet du cache

  Specified by:
    `remove` in interface `Cache`
  Parameters:
    `key` - Clé du cache

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD